<?php include 'config.php'; session_start(); if (!$_SESSION['loggato']) die("Accesso negato"); ?>
<?php include 'header.php'; ?>
<h1>Statistiche Interventi</h1>
<?php
$result = $conn->query("SELECT data_servizio, SUM(importo) AS totale FROM paziente GROUP BY data_servizio ORDER BY data_servizio");
$labels = []; $totali = [];
while ($row = $result->fetch_assoc()) {
    $labels[] = $row['data_servizio'];
    $totali[] = $row['totale'];
}
?>
<canvas id="grafico" width="600" height="300"></canvas>
<script>
var ctx = document.getElementById('grafico').getContext('2d');
new Chart(ctx, {
    type: 'line',
    data: {
        labels: <?php echo json_encode($labels); ?>,
        datasets: [{
            label: 'Totale Importi per Giorno',
            data: <?php echo json_encode($totali); ?>,
            fill: false,
            borderColor: 'blue'
        }]
    }
});
</script>
<?php include 'footer.php'; ?>